@import "variables";
@import "mixins";
@import "animation";
@import "icons";

#sb_widget {
  @include reset();
  z-index: 99990;
  width: 60px;
  height: 60px;
  // width: 80%;
  // height: 100%;
  position: fixed;
  bottom: 0;
  right: 20px;
  font-family: $font-family-default;
  font-weight: $font-weight-default;
  -webkit-font-smoothing: antialiased;

  // Animations
  .sb-fade-in {
    @include reset();
    @include sb-ani-fade-in();
  }

  .sb-fade-out {
    @include reset();
    @include sb-ani-fade-out();
  }

  .sb-spinner {
    @include reset();
    width: 100%;
    text-align: center;

    div {
      @include reset();
      display: inline-block;
      width: 12px;
      height: 12px;
      background-color: $color-gray-light;
      @include border-radius(50%);
      @include sb-ani-spinner();
    }
    :nth-child(1) {
      @include reset();
      @include animation-delay(-0.32s);
    }
    :nth-child(2) {
      @include reset();
      margin: 0 6px;
      @include animation-delay(-0.16s);
    }
  }

  // Icons
  .ic-login {
    @include reset();
    @include icon($icon-login);
  }

  .ic-connected {
    @include reset();
    @include icon($icon-channel-list);
  }

  .ic-minimize {
    @include reset();
    @include icon($icon-minimize);
    @include hover {
      @include icon($icon-minimize-hover);
    }
  }

  .ic-option {
    @include reset();
    @include imgicon($customize-close);
    @include hover {
      @include imgicon($customize-open);
    }
  }
  .ic-option.active {
    @include imgicon($customize-open);
  }

  // .ic-option {
  //   @include reset();
  //   background-image: url('/src/image/icon/customize3close.png');
  //   background-position: center;
  //   background-size: cover;
  //   background-repeat: no-repeat;
  //   @include hover {
  //     background-image: url('/src/image/icon/customize3open.png');
  //     background-position: center;
  //     background-size: cover;
  //     background-repeat: no-repeat;
  //   }
  // }
  // .ic-option.active {
  //     background-image: url('/src/image/icon/customize3open.png');
  //     background-position: center;
  //     background-size: cover;
  //     background-repeat: no-repeat;
  // }

  .ic-new-chat {
    @include reset();
    @include icon($icon-new-chat);
    @include hover {
      @include icon($icon-new-chat-hover);
    }
  }

  .ic-close {
    @include reset();
    @include icon($icon-close);
    @include hover {
      @include icon($icon-close-hover);
    }
  }
  .ic-close.active {
    @include icon($icon-close-selected);
  }

  .ic-members {
    @include reset();
    @include icon($icon-friend-list);
    @include hover {
      @include icon($icon-friend-list-hover);
    }
  }
  .ic-members.active {
    @include icon($icon-friend-list-selected);
  }

  .ic-invite {
    @include reset();
    @include icon($icon-friend-add);
    @include hover {
      @include icon($icon-friend-add-hover);
    }
  }
  .ic-invite.active {
    @include icon($icon-friend-add-selected);
  }

  .ic-leave {
    @include reset();
    @include icon($icon-leave-chat);
    @include hover {
      @include icon($icon-leave-chat-hover);
    }
  }

  // Tooltip
  .tooltip {
    @include reset();
    display: none;
    background-color: $color-black;
    text-align: center;
    z-index: 1;
    font-size: 12px;
    color: $color-white;
    padding: 0 12px;
    height: 32px;
    line-height: 32px;

    @include after {
      content: ' ';
      position: absolute;
      top: 100%;
      left: 50%;
      margin-left: -5px;
      border-width: 5px;
      border-style: solid;
      border-color: $color-black transparent transparent transparent;
    }
  }


  // Widget Button
  .widget {
    @include reset();
    z-index: 99991;
    position: absolute;
    right: 0;
    bottom: 20px;
    width: 60px;
    height: 60px;
    cursor: pointer;
    @include border-radius(50%);
    @include box-shadow(0 1px 6px rgba(0,0,0,0.06), 0 2px 32px rgba(0,0,0,0.16));
    background-color: $color-purple;

    @include hover {
      background-color: $color-widget-background-hover;
      @include box-shadow(0 1px 9px rgba(0,0,0,0.28), 0 2px 32px rgba(0,0,0,0.16));
    }

    .notification {
      @include reset();
      display: none;
      position: absolute;
      top: 0;
      right: 0;
      width: 18px;
      height: 18px;
      background-color: $color-unread-background;
      color: $color-white;
      font-weight: 700;
      font-size: 12px;
      line-height: 18px;
      text-align: center;
      @include border-radius(50%);
      @include box-shadow(0 1px 5px rgba(0,0,0,0.28));
    }
  }


  // Btn
  .sb-common-btn {
    @include reset();
    padding: 0 16px;
    border: 1px solid $color-button-border;
    background-color: $color-button-background;
    color: $color-white;
    cursor: pointer;
    @include border-radius(3px);
    @include box-shadow(0 1px 2px rgba(0, 0, 0, 0.05), 0 1px rgba(255, 255, 255, 0.75));
    @include hover {
      @include box-shadow(0 1px 2px rgba(0, 0, 0, 0.25), 0 1px rgba(255, 255, 255, 0.75));
    }
  }
  .sb-common-btn.disabled {
    background-color: $color-button-background-disabled;
    border: 1px solid $color-button-border-disabled;
    @include hover {
      @include box-shadow(0 1px 2px rgba(0, 0, 0, 0.05), 0 1px rgba(255, 255, 255, 0.75));
    }
  }

  // List Board
  .channel-board {
    @include reset();
    display: none;
    z-index: 99992;
    position: absolute;
    bottom: 0;
    right: 0;
    width: 280px;
    height: 462px;
    @include box-shadow(0 3px 6px rgba(0, 0, 0, 0.3));

    .board-top {
      @include reset();
      width: calc(100% - 24px);
      height: 36px;
      background-color: $color-purple;
      padding: 0 12px;
      border-bottom: 1px solid $color-list-top-border;

      .title {
        @include reset();
        display: inline-block;
        float: left;
        font-size: 16px;
        color: $color-list-top-title;
        letter-spacing: 0.85px;
        line-height: 36px;
      }

      .btn {
        @include reset();
        display: inline-block;
        float: right;
        position: relative;
        top: 50%;
        width: 24px;
        height: 26px;
        cursor: pointer;
        @include transform-translate(0, -50%);
        @include hover {
          & > .tooltip {
            @extend .tooltip;
            font-size: 12px;
            display: block;
          }
        }

        .tooltip {
          @extend .tooltip;
          width: 74px;
          position: absolute;
          top: -37px;
          left: -37px;
        }

        .option-menu {
          @include reset();
          display: none;
          position: absolute;
          top: 25px;
          right: -35px;
          width: 140px;
          height: 42px;
          background-color: transparent;
          cursor: pointer;
          .option-content {
            @include reset();
            position: absolute;
            bottom: 0;
            width: calc(100% - 32px);
            height: 32px;
            background-color: $color-white;
            font-size: 13px;
            color: $color-gray-darkest;
            line-height: 32px;
            padding: 0 16px;
            @include border-radius(3px);
            @include box-shadow(1px 1px 14px 3px rgba(0, 0, 0, 0.3));
            @include before {
              content: ' ';
              position: absolute;
              bottom: 100%;
              left: calc(50% + 21px);
              margin-left: -5px;
              border-width: 7px;
              border-style: solid;
              border-color: transparent transparent $color-white transparent;
            }
          }
        }

      }
    }

    .content {
      @include reset();
      height: $height-list-board-content;
      background-color: $color-white;

      .user-id {
        @include reset();
        width: 100%;
        padding-top: 30px;
      }
      .nickname {
        @include reset();
        width: 100%;
        padding-top: 12px;
      }

      .title {
        @include reset();
        font-size: 11px;
        color: $color-gray-darker;
        padding-bottom: 6px;
      }
      .input {
        @include reset();
        width: calc(98% - 16px);
        height: 32px;
        border: 1px solid $color-input-border;
        background-color: $color-input-background;
        font-size: 13px;
        color: $color-login-title;
        padding: 0 8px;
        @include border-radius(3px);
        @include focus {
          outline: none;
          border: 1px solid $color-purple-dark;
          @include box-shadow(0 0 4px $color-purple-light);
        }
      }

      .login-btn {
        @extend .sb-common-btn;
        display: inline-block;
        position: absolute;
        left: 50%;
        margin-top: 20px;
        height: 32px;
        width: calc(98px - 32px);
        text-align: center;
        line-height: 32px;
        font-size: 14px;
        @include transform-translate(-50%, 0);

        .sb-spinner {
          margin-top: 7px;
          div {
            width: 8px;
            height: 8px;
            margin-top: 4px;
            background-color: $color-button-spinner;
          }
          :nth-child(2) {
            margin: 0 4px;
          }
        }
      }
    }
    .content.login-form {
      @include reset();
      width: calc(100% - 24px);
      height: calc(100% - 37px);
      padding: 0 12px;
    }
    .content.channel-list {
      @include reset();
      overflow-y: scroll;
      overflow-x: hidden;
      width: 100%;
      height: calc(100% - 37px);

      ul {
        @include reset();
        width: 100%;
        margin: 0;
        padding: 0;
        list-style-type: none;

        li {
          @include reset();
          width: calc(100% - 24px);
          height: 48px;
          padding: 0 12px;
          background-color: $color-white;
          cursor: pointer;
          @include hover {
            background-color: $color-list-hover;
            .content {
              background-color: $color-list-hover;
            }
          }

          .item {
            @include reset();
            width: 100%;
            height: calc(100% - 12px - 1px);
            padding: 6px 0;
            border-bottom: 1px solid $color-list-border;
          }
        }

        .image {
          @include reset();
          float: left;
          width: 36px;
          height: 100%;
          @include icon($icon-channel-1);
        }

        .content {
          @include reset();
          float: right;
          width: calc(100% - 36px - 8px);
          height: 100%;
          margin-left: 8px;
        }
        .content-top {
          @include reset();
          width: 100%;
          height: 50%;

          .title {
            @include reset();
            padding: 0;
            float: left;
            width: 125px;
            height: 18px;
            font-size: 14px;
            color: $color-content-text;
            line-height: 18px;
            overflow: hidden;
            -ms-text-overflow: ellipsis;
            text-overflow: ellipsis;
            white-space: nowrap;
          }
          time {
            @include reset();
            float: right;
            font-size: 12px;
            line-height: 18px;
            color: $color-gray-light;
          }
        }
        .content-bottom {
          @include reset();
          width: 100%;
          height: 50%;

          .last-message {
            @include reset();
            float: left;
            width: 170px;
            height: 18px;
            font-size: 13px;
            color: $color-gray-light;
            line-height: 18px;
            overflow: hidden;
            -ms-text-overflow: ellipsis;
            text-overflow: ellipsis;
            white-space: nowrap;
          }
          span {
            @include reset();
            display: none;
            float: right;
            width: 18px;
            height: 18px;
            background-color: $color-unread-background;
            font-weight: 700;
            font-size: 12px;
            color: $color-white;
            line-height: 18px;
            text-align: center;
            @include border-radius(50%);
          }
        }

        .empty-item {
          @include reset();
          text-align: center;
          & > .title {
            @include reset();
            margin: 130px 0 16px 0;
            font-size: 14px;
            color: $color-gray-darker;
          }
          & > .new-chat-btn {
            @include reset();
            @extend .sb-common-btn;
            display: block;
            margin: 0 auto;
            width: 48px;
            height: 30px;
            line-height: 30px;
            padding: 0 16px;
          }
        }
      }

      .sb-spinner {
        position: relative;
        top: calc(#{$height-list-board-content} / 2);
        @include transform-translate(0, -50%);

        div {
          width: 12px;
          height: 12px;
          margin-top: 6px;
        }
        :nth-child(2) {
          margin: 0 6px;
        }
      }

    }
  }

  // Chat Board
  .chat-section {
    @include reset();
    z-index: 99992;
    position: absolute;
    right: 60px;
    bottom: 0;
    width: auto;
    max-height: 520px;

    .chat-board {
      @include reset();
      margin-top: 40px;
      float: right;
      width: 280px;
      height: 426px;
      margin-right: 20px;
      @include box-shadow(0 3px 6px rgba(0, 0, 0, 0.3));

      .leave-popup {
        @include reset();
        width: 280px;
        height: 100%;
        position: absolute;
        background-color: rgba(255, 255 ,255, 0.9);
        z-index: 1;
        & > .popup-top {
          @include reset();
          margin-top: 130px;
          text-align: center;
          color: $color-gray-darker;
        }
        & > div {
          @include reset();
          margin-top: 16px;
          text-align: center;
          .leave-btn {
            @extend .sb-common-btn;
            display: inline-block;
            padding: 0 8px;
            width: 52px;
            height: 32px;
            line-height: 32px;
            .sb-spinner {
              line-height: 32px;
              div {
                width: 8px;
                height: 8px;
                margin-top: 4px;
                background-color: $color-button-spinner;
              }
              :nth-child(2) {
                margin: 0 4px;
              }
            }
          }
          .leave-btn.disabled {
            cursor: default;
          }
          .cancel-btn {
            @extend .sb-common-btn;
            background-color: $color-chat-message-background;
            border-color: $color-input-border;
            color: $color-gray-darker;
            margin-left: 8px;
            display: inline-block;
            padding: 0 8px;
            width: 52px;
            height: 32px;
            line-height: 32px;
          }
        }
      }
    }

    .top {
      @include reset();
      width: calc(100% - 24px);
      height: 35px;
      padding: 0 12px;
      background-color: $color-gray-lightest;
      border-bottom: 1px solid $color-list-border;
      @include box-shadow(0 1px 1px -2px rgba(0, 0, 0, 0.20));

      .title {
        @include reset();
        float: left;
        max-width: 123px;
        font-size: 13px;
        color: $color-content-text;
        line-height: 35px;
        overflow: hidden;
        -ms-text-overflow: ellipsis;
        text-overflow: ellipsis;
        white-space: nowrap;
      }

      .count {
        @include reset();
        float: left;
        width: 16px;
        height: 16px;
        margin-left: 8px;
        background-color: $color-gray-lighter;
        font-weight: 700;
        font-size: 10px;
        color: $color-gray-darker;
        text-align: center;
        line-height: 16px;
        position: relative;
        top: 50%;
        @include transform-translate(0, -50%);
      }

      .btn {
        @include reset();
        float: right;
        width: 24px;
        height: 26px;
        position: relative;
        top: 50%;
        cursor: pointer;
        @include transform-translate(0, -50%);
        @include hover {
          & > .tooltip {
            @extend .tooltip;
            display: block;
          }
        }
      }
      .btn.ic-leave {
        margin-right: 3px;
        .tooltip {
          @extend .tooltip;
          width: 78px;
          position: absolute;
          top: -37px;
          left: -39px;
        }
      }
      .btn.ic-members {
        margin: 0 3px;
      }
      .btn.ic-members {
        .tooltip {
          @extend .tooltip;
          width: 74px;
          position: absolute;
          top: -37px;
          left: -37px;
        }
      }
      .btn.ic-invite {
        .tooltip {
          @extend .tooltip;
          width: 78px;
          position: absolute;
          top: -37px;
          left: -39px;
        }
      }
    }

    .content {
      @include reset();
      width: 100%;
      height: calc(100% - 36px - 1px);
      background-color: $color-white;

      .sb-spinner {
        @extend .sb-spinner;
        position: relative;
        top: 50%;
        @include transform-translate(0, -50%);
      }

      .user-content {
        @include reset();
        width: 100%;
        height: calc(100% - 52px);
        background-color: $color-white;
        overflow-y: scroll;
        overflow-x: hidden;

        ul {
          @include reset();
          width: 100%;
          margin: 0;
          padding: 0;
          list-style-type: none;

          li {
            @include reset();
            width: calc(100% - 24px);
            height: 44px;
            padding: 0 12px;
            cursor: pointer;
            @include hover {
              background-color: $color-list-hover;
            }
          }
        }
        .user-item {
          @include reset();
          width: 100%;
          height: calc(100% - 12px - 1px);
          padding: 6px 0;
          border-bottom: 1px solid $color-list-border;

          .user-select {
            @include reset();
            position: relative;
            top: 50%;
            float: left;
            width: 16px;
            height: 16px;
            @include transform-translate(0, -50%);
            @include icon($icon-unchecked);
          }
          .user-select.active {
            @include icon($icon-checked);
          }

          .image {
            @include reset();
            float: left;
            width: 31px;
            height: 31px;
            margin: 0 8px;
            @include icon($icon-member-1);
          }

          .nickname {
            @include reset();
            float: left;
            font-size: 13px;
            color: $color-gray-darker;
            line-height: 31px;
            max-width: 70%;
            overflow: hidden;
            -ms-text-overflow: ellipsis;
            text-overflow: ellipsis;
            white-space: nowrap;
          }
        }
      }

      .content-bottom {
        @include reset();
        width: calc(100% - 24px);
        height: calc(52px - 24px);
        padding: 12px;
        background-color: $color-gray-lightest;
        text-align: center;
        @include box-shadow(0 1px 1px rgba(0, 0, 0, 0.20));

        .new-chat-btn {
          @extend .sb-common-btn;
          display: inline-block;
          width: 70px;
          height: 26px;
          padding: 0 12px;
          text-align: center;
          line-height: 26px;
          font-size: 13px;
          letter-spacing: 0.85px;

          .sb-spinner {
            div {
              width: 8px;
              height: 8px;
              margin-top: 4px;
              background-color: $color-button-spinner;
            }
            :nth-child(2) {
              margin: 0 4px;
            }
          }
        }
        .new-chat-btn.disabled {
          cursor: default;
        }
      }

      .message-content {
        @include reset();
        width: calc(100% - 16px);
        height: 328px;
        min-height: 240px;
        max-height: 328px;
        overflow-x: hidden;
        overflow-y: scroll;
        padding: 0 8px 8px 8px;

        .message-list {
        }
      }

      .typing {
        @include reset();
        display: none;
        width: calc(100% - 16px);
        height: 22px;
        padding: 0 8px;
        font-size: 12px;
        color: $color-chat-system-message-color;
        line-height: 22px;
        .sb-spinner {
          top: initial;
          position: static;
          @include transform-translate(0, 0);
          display: inline-block;
          width: auto;
          text-align: left;
          margin-right: 8px;
          div {
            background-color: $color-typing-spinner;
            width: 6px;
            height: 6px;
          }
          :nth-child(2) {
            margin: 0 3px;
          }
        }
      }

      .input {
        @include reset();
        width: calc(100% - 16px);
        min-height: 51px;
        max-height: 118px;
        padding: 0 8px;
        border-top: 1px solid $color-list-border;

        .text {
          @include reset();
          display: inline-block;
          width: calc(100% - 8px);
          min-height: 24px;
          max-height: 90px;
          padding: 5px 8px 0 0;
          outline: none !important;
          overflow-x: hidden;
          overflow-y: auto;
          word-wrap: break-word;
          resize: none;
          border: 0;
          font-size: 13px;
          color: $color-gray-darkest;
          background-color: $color-white;
          @include focus {
            outline: 0;
          }
          & > div {
            @include reset();
            height: 0px !important;
          }
        }
        .text:empty::before {
          font-size: 13px;
          content: $content-message-input-default;
          color: $color-chat-system-message-color;
        }
        .text:focus:empty::before {
          content: $content-message-input-empty;
        }

        .file {
          @include reset();
          float: left;
          width: 22px;
          height: 22px;
          cursor: pointer;
          @include icon($icon-file-add);
          background-position: inherit;
          background-size: 14px 14px;

          @include hover {
            @include icon($icon-file-add-hover);
            background-position: inherit;
            background-size: 14px 14px;
          }
        }

      }
    }

    .message-set {
      @include reset();
      width: 100%;
      margin-top: 8px;
      float: left;
      direction: ltr;
      text-align: left;

      .image {
        @include reset();
        float: inherit;
        width: 32px;
        height: 32px;
        margin-right: 8px;
        @include icon($icon-member-1);
        background-position: inherit;
      }

      .message {
        @include reset();
        float: inherit;
      }
      .nickname {
        @include reset();
        font-size: 12px;
        color: $color-gray-dark;
      }
      .message-item {
        @include reset();
        float: inherit;
        .text {
          @include reset();
          display: inline-block;
          text-align: inherit;
          max-width: 180px;
          background-color: $color-chat-message-background;
          color: $color-content-text;
          font-size: 13px;
          padding: 6px;
          word-wrap: break-word;
          @include border-radius(5px);

          .preview-name {
            font-size: 11px;
            font-weight: 300;
          }
          .preview-title {
            margin-top: 4px;
            font-size: 13px;
            font-weight: 500;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
            width: 180px;
            height: 13px;
          }
          .preview-description {
            margin-top: 4px;
            font-size: 11px;
            font-weight: 300;
          }
          .preview-iamge {
            width: 180px !important;
            height: 90px !important;
            background-size: 180px 180px;
            background-position-x: center;
            background-position-y: 30%;
            margin-top: 4px;
          }
        }
        .file-message {
          @include reset();
          display: inline-block;
          .image {
            @include reset();
            display: inline-block;
            text-align: inherit;
            width: 160px;
            height: 160px;
            cursor: pointer;
            vertical-align: middle;
            @include imageMessage();
            @include border-radius(5px);
          }
        }
        .file {
          @include reset();
          display: inline-flex;
          text-align: inherit;
          max-width: 180px;
          background-color: $color-transparent;
          color: $color-content-text;
          font-size: 13px;
          word-wrap: break-word;
          cursor: pointer;
          text-decoration: none;
          vertical-align: bottom;

          & > .file-icon {
            @include reset();
            display: inline-block;
            width: 24px;
            height: 26px;
            @include icon($icon-file);
          }
          & > .file-text {
            @include reset();
            margin: 0 0 0 8px;
            max-width: calc(100% - 24px - 8px);

            & > .file-name {
              @include reset();
              display: inline-block;
              max-width: 100%;
              -ms-text-overflow: ellipsis;
              text-overflow: ellipsis;
              white-space: nowrap;
              overflow: hidden;
            }
            & > .file-download {
              @include reset();
              font-size: 11px;
              line-height: 6px;
              color: $color-text-download;
            }
          }
        }
        .unread {
          @include reset();
          display: none !important;
          background-color: transparent;
          color: $color-read-receipt;
          font-size: 11px;
          font-weight: 700;
          text-align: center;
          margin: 0 4px;
          vertical-align: bottom;
        }
      }
    }
    .message-set.user {
      float: right;
      .image,
      .nickname {
        display: none;
      }
      .message-item {
        float: inherit;
        .text {
          background: #F0F0F5;
          color: #444;
        }
        .image {
          display: inline-block;
          text-align: inherit;
          width: 160px;
          height: 160px;
          cursor: pointer;
          margin: 0;
          @include imageMessage();
          @include border-radius(5px);
        }
        .unread {
          display: none;
          //display: inline-block !important;
        }
      }
    }
    .message-set.time {
      text-align: center;
      font-size: 11px;
      color: $color-gray-dark;
    }
    .message-set.admin-message {
      text-align: center;
      font-size: 12px;
      color: $color-gray-darker;
    }


  }

  // Popup
  .popup {
    @include reset();
    display: none;
    background-color: $color-transparent;
    position: absolute;
    bottom: 186px;

    .popup-body {
      @include reset();
      width: 200px;
      height: 200px;
      background-color: $color-white;
      @include box-shadow(0 0 0 1px rgba(0, 0, 0, 0.1), 0 5px 60px rgba(0,0,0,0.35));
      @include before {
        content: ' ';
        position: absolute;
        bottom: 100%;
        left: 50%;
        //margin-left: -5px;//before: -5
        border-width: 7px;
        border-style: solid;
        border-color: transparent transparent $color-white transparent;
      }

      & > .content {
        @include reset();
        overflow-y: hidden;
        overflow-x: hidden;
        height: calc(100% - 51px - 2px);
        margin: 0;

        & > ul {
          @include reset();
          width: 100%;
          min-height: 306px;
          margin: 0 0 2px 0;
          padding: 0;
          list-style-type: none;

          & > .sb-spinner {
            position: absolute;
            div {
              width: 12px;
              height: 12px;
            }
            :nth-child(2) {
              margin: 0 6px;
            }
          }

          & > li {
            @include reset();
            display: inline-table;
            width: calc(100% - 24px);
            height: calc(44px - 11px);
            background: $color-white;
            padding: 0 12px;
            cursor: pointer;
            @include hover {
              background-color: $color-list-hover;
            }

            & > div {
              @include reset();
              display: inline-block;
              width: 100%;
              padding: 5px 0;
              border-bottom: 1px solid $color-list-border;
            }

            .user-select {
              @include reset();
              display: inline-block;
              margin-right: 8px;
              position: relative;
              top: 50%;
              width: 16px;
              height: 16px;
              @include transform-translate(0, -50%);
              @include icon($icon-unchecked);
            }
            .user-select.active {
              @include icon($icon-checked);
            }

            .image-me {
              @include reset();
              width: 31px;
              height: 31px;
              position: absolute;
              @include icon($icon-member-me);
            }
            .image {
              @include reset();
              display: inline-block;
              margin-right: 8px;
              width: 31px;
              height: 31px;
              @include icon($icon-member-1);
            }
            .nickname {
              @include reset();
              display: inline-block;
              font-size: 13px;
              color: $color-gray-darker;
              line-height: 31px;
              max-width: 70%;
              overflow: hidden;
              -ms-text-overflow: ellipsis;
              text-overflow: ellipsis;
              white-space: nowrap;
            }
          }
        }
      }
    }

    .popup-top {
      @include reset();
      height: 36px;
      background-color: $color-gray-lightest;
      padding: 0 12px;
      @include box-shadow(0 1px 1px 0 rgba(0, 0, 0, 0.2));

      .title {
        @include reset();
        float: left;
        font-size: 13px;
        color: $color-gray-darker;
        line-height: 36px;
      }

      .count {
        @include reset();
        float: left;
        width: 16px;
        height: 16px;
        margin-left: 8px;
        background-color: $color-gray-lighter;
        font-weight: 700;
        font-size: 10px;
        color: $color-gray-darker;
        text-align: center;
        line-height: 16px;
        position: relative;
        top: 50%;
        @include transform-translate(0, -50%);
      }

      .btn {
        @include reset();
        float: right;
        width: 24px;
        height: 26px;
        position: relative;
        top: 50%;
        cursor: pointer;
        @include transform-translate(0, -50%);
      }

    }

    .popup-bottom {
      @include reset();
      height: 52px;
      background-color: $color-white;
      border-top: 1px solid rgba(0, 0, 0, 0.2);
      padding: 0 12px;

      .title {
        @include reset();
        float: left;
        font-size: 13px;
        line-height: 52px;
        color: $color-gray-darker;
      }

      .count {
        @include reset();
        float: left;
        width: 16px;
        height: 16px;
        margin-left: 8px;
        background-color: $color-popup-count-background;
        font-weight: 700;
        font-size: 10px;
        color: $color-gray-darker;
        text-align: center;
        line-height: 16px;
        position: relative;
        top: 50%;
        @include transform-translate(0, -50%);
      }

      .invite-btn {
        @extend .sb-common-btn;
        float: right;
        position: relative;
        top: 50%;
        width: 41px;
        height: 24px;
        font-size: 14px;
        line-height: 24px;
        letter-spacing: 0.85px;
        @include transform-translate(0, -50%);
        .sb-spinner {
          margin-top: 4px;
          div {
            width: 8px;
            height: 8px;
            margin-top: 4px;
            background-color: $color-button-spinner;
          }
          :nth-child(2) {
            margin: 0 4px;
          }
        }
      }
      .invite-btn.disabled {
        cursor: default;
      }
    }

  }
  .popup.members {
    .popup-body {
      @include before {
        border-color: transparent transparent $color-gray-lightest transparent;
      }

      & > .content {
        height: calc(100% - 36px - 2px);
        & > ul {
          height: 322px;
          margin: 2px 0 0 0;
          & > li {
            cursor: default;
          }
        }
      }
    }

  }

  .popup.option {
    .popup-body {
      @include before {
        border-color: transparent transparent $color-gray-lightest transparent;
      }

      & > .content {
        height: calc(100% - 36px - 2px);
        & > ul {
          height: 322px;
          margin: 2px 0 0 0;
          & > li {
            cursor: default;
          }
        }
      }
    }

  }


}
